#include <dht11.h>
dht11 DHT11;

#define DHT11PIN 2

void setup()
{
  Serial.begin(9600);
}

void loop()
{
  int chk = DHT11.read(DHT11PIN);

  switch (chk)
  {
    case DHTLIB_ERROR_CHECKSUM:
      Serial.println("Error: Checksum");
      break;
    case DHTLIB_ERROR_TIMEOUT:
      Serial.println("Error: Timeout");
      break;
    default:
      Serial.println("Error: Unknown");
      break;
    case DHTLIB_OK:
      Serial.print("Data: ");
      Serial.print((float)DHT11.temperature, 2);
      Serial.print(", ");
      Serial.println((float)DHT11.humidity, 2);
      break;
  }

  delay(10000);
}
